﻿using DemoStaticContent.Data;

namespace DemoStaticContent.Services;
public class DbStaticContentStore : IStaticContentStore {
    private readonly ApplicationDbContext dc;

    public DbStaticContentStore(ApplicationDbContext dc) {
        this.dc = dc;
    }

    public async Task<string> GetSource(string key) {
        var item = await this.dc.StaticContentItems.FindAsync(key);
        if (item == null) throw new Exception($"Static Content Item with key '{key}' was not found.");
        return item.Text;
    }
}
