﻿using System.Text.RegularExpressions;

namespace DemoStaticContent.Services;

public class FileStaticContentStore : IStaticContentStore {
    private const string DataFolder = "./App_Data/StaticContent";

    public async Task<string> GetSource(string key) {
        if (!Regex.IsMatch(key, "^[a-zA-Z0-9_-]{1,}$")) throw new ArgumentException("Invalid characters in key.", nameof(key));
        var fileName = Path.Combine(DataFolder, key + ".md");
        return await File.ReadAllTextAsync(fileName);
    }

}
