﻿using Microsoft.AspNetCore.Html;

namespace DemoStaticContent.Services;
public class StaticContentProvider {
    private readonly IStaticContentStore store;
    private readonly IStaticContentFormatter formatter;

    public StaticContentProvider(IStaticContentStore store, IStaticContentFormatter formatter) {
        this.store = store;
        this.formatter = formatter;
    }

    public async Task<HtmlString> GetHtml(string key) => this.formatter.GetHtml(await this.store.GetSource(key));

    public async Task<string> GetPlainText(string key) => this.formatter.GetPlainText(await this.store.GetSource(key));

}
